             PGM        PARM(&PGM_LIB &SRC_LIB &TGT_RLS)

             DCL        VAR(&PGM_LIB) TYPE(*CHAR) LEN(10) /* Name of +
                          Program Library. */
             DCL        VAR(&SRC_LIB) TYPE(*CHAR) LEN(10) /* Name of +
                          library that contains the QSRCF file. */
             DCL        VAR(&TGT_RLS) TYPE(*CHAR) LEN(6) /* Target +
                          Release to compile to. */

             ADDLIBLE   LIB(&PGM_LIB) POSITION(*LAST)
             MONMSG     MSGID(CPF0000)

             ADDLIBLE   LIB(&SRC_LIB) POSITION(*LAST)
             MONMSG     MSGID(CPF0000)

             DLTMOD     MODULE(&PGM_LIB/XVIDAT_M01)
             MONMSG     MSGID(CPF0000)

             DLTMOD     MODULE(&PGM_LIB/XVIDAT_M02)
             MONMSG     MSGID(CPF0000)

             DLTPGM     PGM(&PGM_LIB/XVIDAT)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVIDAT_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)

             CRTRPGMOD  MODULE(&PGM_LIB/XVIDAT_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVIDAT) +
                          MODULE(&PGM_LIB/XVIDAT_M01 &PGM_LIB/XVIDAT_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVIDAT_B) +
                          TEXT('Service program to implement UDF +
                          iDate.') ACTGRP(QILE) TGTRLS(&TGT_RLS)

             RUNSQLSTM  SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVIDAT_SQL) +
                          ERRLVL(30) DFTRDBCOL(&PGM_LIB) +
                          CLOSQLCSR(*ENDACTGRP)

             ENDPGM
